%global base_name libkexiv2

Name:    kf5-libkexiv2
Summary: A wrapper around Exiv2 library
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/graphics/%{base_name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{base_name}-%{version}.tar.xz


BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Qt5Gui)
BuildRequires: pkgconfig(exiv2)

Requires: kf5-filesystem

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures metadata
as EXIF IPTC and XMP.

%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: cmake(Qt5Gui)
%description devel
%{summary}.


%prep
%autosetup  -n %{base_name}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install



%files
%doc AUTHORS README
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{base_name}.*
%{_kf5_libdir}/libKF5KExiv2.so.*

%files devel
%{_kf5_libdir}/libKF5KExiv2.so
%{_kf5_includedir}/KExiv2/
%{_kf5_libdir}/cmake/KF5KExiv2/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
